import { w as withInstall } from "../badge/index2.js";
import { defineComponent, openBlock, createElementBlock, renderSlot } from "vue";
var index = /* @__PURE__ */ (() => ".layui-btn-container{font-size:0}.layui-btn-container .layui-btn{margin-right:10px;margin-bottom:10px}.layui-btn-container .layui-btn+.layui-btn{margin-left:0}\n")();
const _hoisted_1 = { class: "layui-btn-container" };
const __default__ = {
  name: "LayButtonContainer"
};
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  setup(__props) {
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        renderSlot(_ctx.$slots, "default")
      ]);
    };
  }
});
const component = withInstall(_sfc_main);
export { component as default };
